/*
Szymon Rusinkiewicz
Princeton University

inflate.cc
Create an offset surface from a mesh
*/


#include "TriMesh.h"
#include "TriMesh_algo.h"


void inflate(TriMesh *mesh, float amount)
{
	mesh->need_normals();

	dprintf(stderr, "Creating offset surface... "); dflush(stderr);
	int nv = mesh->vertices.size();
	for (int i = 0; i < nv; i++)
		mesh->vertices[i] += amount * mesh->normals[i];
	dprintf(stderr, "Done.\n");
}

